create or replace package plpdf_digsig
authid current_user is
--v5.9
--
v_original_data blob;
v_signed_data blob;
v_signproc varchar2(255 char) := 'PKCS7Sign';
--
v_digsig_keystore blob;
v_digsig_certalias varchar2(255 char);
v_digsig_keystore_password varchar2(255 char);
v_digsig_privkey_password varchar2(255 char);
--
procedure setSignProc(
  p_signproc varchar2
  );
--
procedure setOrignaldata(
  p_original_data blob
  );
--
function getSigneddata
  return blob;
--
procedure setKeyStore(
  p_digsig_keystore blob
  );
--
procedure setCertAlias(
  p_digsig_certalias varchar2
  );
--
procedure setKeyStorePassword(
  p_digsig_keystore_password varchar2
  );
--
procedure setPrivKeyPassword(
  p_digsig_privkey_password varchar2
  );
--
procedure PKCS7Sign;
--
end plpdf_digsig;
/

